#!/bin/bash

if [ -d cascade-make ] ; then
  source cascade-make/lib/cascade-lib.bash GEXT_ECHOPRINT . $*
fi

if [ -z $GEXT_ECHOPRINT ] ; then
  source ./gs3-setup.sh
fi

if [ -z $GEXT_ECHOPRINT_DEVEL ] ; then
    # Set environment variable so we can tell devel.bash has been sourced
    export GEXT_ECHOPRINT_DEVEL=$GEXT_ECHOPRINT
    
    export PATH="$GEXTECHOPRINT_INSTALLED/bin:$PATH"
    export CFLAGS="-I$GEXTECHOPRINT_INSTALLED/include $CFLAGS"
    export CPPFLAGS="-I$GEXTECHOPRINT_INSTALLED/include $CPPFLAGS"
    export CXXFLAGS="-I$GEXTECHOPRINT_INSTALLED/include $CXXFLAGS"
    export LDFLAGS="-L$GEXTECHOPRINT_INSTALLED/lib $LDFLAGS"
    export PKG_CONFIG_PATH="$GEXTECHOPRINT_INSTALLED/lib/pkgconfig:$PKG_CONFIG_PATH"
    
    is_64bit=`uname -m | grep _64`
    if [ "x$is_64bit" != "x" ] ; then 
	already_set=`echo $CFLAGS | grep fPIC`
	if [ "x$already_set" = "x" ] ; then
	    # not present => add in
	    export CFLAGS="-fPIC"
	fi
    fi


    echo "+Your environment is now setup to compile with the Echoprint Support Library"

else
    echo "+Your environment is already setup to compile with the Echoprint Support Library"
fi